cURL
curl --request POST \ --url https://sigmacdd.sabipay.com/kyc/bvn \ --header 'Content-Type: application/json' \ --header 'apiKey: <api-key>' \ --header 'apiSecret: <api-key>' \ --data ' { "idNumber": "22241887099" } '
{ "message": "BVN lookup successful", "data": { "idNumber": "22241887099", "firstName": "ERNEST", "lastName": "TARZUA", "middleName": "NAJIME", "dateOfBirth": "1989-04-15", "gender": "male", "phoneNumber": "08037997380", "phoneNumber2": null, "nationality": "Nigeria", "address": "UNIVERSITY OF ABUJA MALE HOSTEL GWAGWALADA FCT ABUJA", "photo": "<base64-encoded-image>", "email": null, "registrationDate": null, "enrollmentBank": null, "enrollmentBranch": null, "levelOfAccount": null, "lgaOfOrigin": "Gboko", "lgaOfResidence": "Gwagwalada", "stateOfOrigin": "Benue State", "stateOfResidence": null, "maritalStatus": "Single", "nameOnCard": null, "title": null, "watchListed": "False", "linkedNin": null } }
POST api/v1/kyc/bvn
Documentation IndexFetch the complete documentation index at: https://sigma-docs.pastel.africa/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://sigma-docs.pastel.africa/llms.txt
Use this file to discover all available pages before exploring further.
The Bank Verification Number (BVN) to look up
"22241887099"
BVN lookup successful
Response message
Response data